import request from '@/utils/request'

// 查询页面浏览时长列表
export function listTime(query) {
  return request({
    url: '/biz/time/list',
    method: 'get',
    params: query
  })
}

// 查询页面浏览时长详细
export function getTime(id) {
  return request({
    url: '/biz/time/' + id,
    method: 'get'
  })
}

// 新增页面浏览时长
export function addTime(data) {
  return request({
    url: '/biz/time',
    method: 'post',
    data: data
  })
}

// 修改页面浏览时长
export function updateTime(data) {
  return request({
    url: '/biz/time',
    method: 'put',
    data: data
  })
}

// 删除页面浏览时长
export function delTime(id) {
  return request({
    url: '/biz/time/' + id,
    method: 'delete'
  })
}
